# AODataKeyGetLocalToGlobalMapping

gets a local to global mapping from a database

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataKeyGetLocalToGlobalMapping(AOData aodata,const char name[],ISLocalToGlobalMapping *map)

Not collective

### Input Parameters

| aodata | - the database
| name | - the name of the key

### Output Parameters

map -local to global mapping

### Keywords

database additions

### See Also

AODataKeySetLocalToGlobalMapping()

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages